JBoss API: Class LRUEnterpriseContextCachePolicy.ContextLRUList

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class LRUEnterpriseContextCachePolicy.ContextLRUList

    java.lang.Object
      |
      +--org.jboss.util.LRUCachePolicy.LRUList
            |
            +--org.jboss.ejb.plugins.LRUEnterpriseContextCachePolicy.ContextLRUList

Enclosing class:
  LRUEnterpriseContextCachePolicy

protected class LRUEnterpriseContextCachePolicy.ContextLRUList
extends LRUCachePolicy.LRUList

Subclass that logs list activity events.

Fields inherited from class org.jboss.util.LRUCachePolicy.LRUList
`m_cacheMiss, m_capacity, m_count, m_head, m_maxCapacity, m_minCapacity, m_tail`

Constructor Summary
`protected` | `LRUEnterpriseContextCachePolicy.ContextLRUList()`

Method Summary
`protected void` | `capacityChanged(int oldCapacity)` Callback that signals that the capacity of the cache is changed.
`protected void` | `entryAdded(LRUCachePolicy.LRUCacheEntry entry)` Callback that signals that the given entry has been added to the cache.
`protected void` | `entryRemoved(LRUCachePolicy.LRUCacheEntry entry)` Callback that signals that the given entry has been removed from the cache.

Methods inherited from class org.jboss.util.LRUCachePolicy.LRUList
`clear, demote, promote, remove, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LRUEnterpriseContextCachePolicy.ContextLRUList

    protected LRUEnterpriseContextCachePolicy.ContextLRUList()

Method Detail

### entryAdded

    protected void entryAdded(LRUCachePolicy.LRUCacheEntry entry)

  Description copied from class: `LRUCachePolicy.LRUList`
  Callback that signals that the given entry has been added to the cache.
  Overrides:
    `entryAdded` in class `LRUCachePolicy.LRUList`

### entryRemoved

    protected void entryRemoved(LRUCachePolicy.LRUCacheEntry entry)

  Description copied from class: `LRUCachePolicy.LRUList`
  Callback that signals that the given entry has been removed from the cache.
  Overrides:
    `entryRemoved` in class `LRUCachePolicy.LRUList`

### capacityChanged

    protected void capacityChanged(int oldCapacity)

  Description copied from class: `LRUCachePolicy.LRUList`
  Callback that signals that the capacity of the cache is changed.
  Overrides:
    `capacityChanged` in class `LRUCachePolicy.LRUList`
  Following copied from class: `org.jboss.util.LRUCachePolicy.LRUList`
  Parameters:
    `oldCapacity` - the capacity before the change happened

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.